import { useResource } from "@/modules/resource";
import { defineComponent } from "vue";
import Material from "./components/Material";
import createController from "./controller";

export default defineComponent({
  setup() {
    const resource = useResource();
    const ctrl = createController(resource, false, "");
  
    return () => (
      <Material
        Controller={ctrl}
        slots={{
          // MaterialItem: ()=>{
          //   return <div>item</div>
          // }
        }}
      ></Material>
    );
  },
});
